org.apache.xmlbeans.impl.regex

## Class BMPattern

- java.lang.Object
- - org.apache.xmlbeans.impl.regex.BMPattern

    public class BMPattern
    extends Object

Boyer-Moore searcher.

### Constructor Summary

Constructors
Constructor and Description
`BMPattern(String pat, boolean ignoreCase)`
`BMPattern(String pat, int tableSize, boolean ignoreCase)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `matches(char[] chars, int start, int limit)`
`int` `matches(CharacterIterator iterator, int start, int limit)`
`int` `matches(String str, int start, int limit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BMPattern

    public BMPattern(String pat,
                     boolean ignoreCase)

#### BMPattern

    public BMPattern(String pat,
                     int tableSize,
                     boolean ignoreCase)

### Method Detail

#### matches

    public int matches(CharacterIterator iterator,
                       int start,
                       int limit)

Returns:
  -1 if iterator does not contain this pattern.

#### matches

    public int matches(String str,
                       int start,
                       int limit)

Returns:
  -1 if str does not contain this pattern.

#### matches

    public int matches(char[] chars,
                       int start,
                       int limit)

Returns:
  -1 if `chars` does not contain this pattern.